---
kind: pipeline
name: deploy to docker container
steps:
  - name: submodule
    image: plugins/git
    settings:
      recursive: true
  - name: docker cp deploy
    image: 3wordchant/docker-cp-deploy:latest
    depends_on:
      - submodule
    settings:
      host: swarm.autonomic.zone
      service: lasophielle_org_app
      source: .
      dest: /src
      deploy_key:
        from_secret: drone_ssh_swarm.autonomic.zone
    when:
      branch:
        - main
  - name: docker cp deploy staging
    image: 3wordchant/docker-cp-deploy:latest
    depends_on:
      - submodule
    settings:
      host: swarm.autonomic.zone
      service: lasophielle-staging_autonomic_zone_app
      source: .
      dest: /src
      deploy_key:
        from_secret: drone_ssh_swarm.autonomic.zone
    when:
      branch:
        - staging
  - name: notify on failure
    image: plugins/slack
    settings:
      username: comradebritney
      channel: clients.sophie-lewis
      template: "{{repo.owner}}/{{repo.name}} build failed: {{build.link}}. Last commit by @{{build.author}}"
      webhook:
        from_secret: rc_builds_url
    depends_on:
      - docker cp deploy
      - docker cp deploy staging
    when:
      status:
        - failure
